Summary:	C functions that draw extruded surfaces
Summary(pl):	Funkcje C do rysowania skomplikowanych przestrzeni
Summary(fr):	Fonctions C pour dessiner des surfaces extrudes
Name:		gle
Version:	3.1.0
Release:	1.%{distrib}.remi
License:	IBM or GPL
Group:		X11/Libraries
Source0:	ftp://ftp.sourceforge.net/pub/sourceforge/gle/%{name}-%{version}.tar.gz
URL:		http://www.linas.org/gle/
BuildRequires:	xorg-x11-devel, freeglut-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define 	_includedir	%{_oldincludedir}
%define		_mandir		%{_prefix}/man

%description
GLE is a library package of C functions that draw extruded surfaces,
including surfaces of revolution, sweeps, tubes, polycones,
polycylinders and helicoids. Generically, the extruded surface is
specified with a 2D polyline that is extruded along a 3D path. A local
coordinate system allows for additional flexibility in the primitives
drawn. Extrusions may be texture mapped in a variety of ways. The GLE
library generates 3D triangle coordinates, lighting normal vectors and
texture coordinates as output. GLE uses the GL or OpenGL(R) API's to
perform the actual rendering.

%description -l fr
GLE est une bibliothquede fonctions C qui dessine des surfaces
extrudes, notament des surfaces de rvolution, de translation, des
tubes, des polycones, des polycylindres et des hlicodes. En
gnrale la suface extrude est gnre  partir d'un polygone 2D
qui est extrud le long d'un chemin 3D. Un systme de coordonnes locales
augmente la flexibilit des primitives de calcul. Les extrusions peuvent
recevoir une texture de diffrentes manires. La bibliothque GLE
gnre, en sortie, les coordonnes 3D des triangles, les normales 
d'clairement et les coordonnes dans la texture. GLE utilise l'API
GL ou OpenGL(r) pour effectuer le rendu final.

%description -l pl
GLE jest bibliotek funkcji C, ktre pozwalaj na rysowanie
powierzchni toczonych, w tym powierzchni obrotowych, rozcigni,
walcw, stokw i spirali. Oglnie, powierzchnia toczona jest
okrelona krzyw 2D rozcigan wzdu cieki w 3D. Lokalny ukad
wsprzdnych pozwala na dodatkow elastyczno przy rysowaniu
krzywych. Powierzchnie toczone mog mie przypisane tekstury na wiele
sposobw. Biblioteka GLE generuje wsprzdne trjktw w 3D, wektory
normalne dla owietlenia i wsprzdne tekstury; do waciwego
renderowania sceny uywa API GL lub OpenGL(R).

%package devel
Summary:	Libraries, includes, etc to develop gle applications
Summary(pl):	Biblioteki, pliki nagwkowe i dokumentacja dla programisty gle
Summary(fr):	Bibliothques, enttes, etc pour dvelopper avec gle.
License:	IBM or GPL (code), Artistic or GPL (examples and docs)
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}
Requires:	xorg-x11-devel, freeglut-devel

%description devel
Include files and documentation you can use to develop gle
applications.

%description devel -l pl
Pliki nagwkowe i dokumentacja dla programisty gle.

%description devel -l fr
Fichiers enttes, documentation et exemples pour le
dveloppement avec gle.

%prep
%setup -q

%build
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%{__make} clean -C examples
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README COPYING src/COPYING.src
%attr(755,root,root) %{_libdir}/libgle.so.*

%files devel
%defattr(644,root,root,755)
%doc doc/html doc/COPYING.artistic examples
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgle.so
%attr(755,root,root) %{_libdir}/libgle.la
%{_includedir}/GL/gle.h
%{_mandir}/man3/gle*.3gle.gz
%{_libdir}/libgle.a

%changelog
* Sun Nov 13 2005 Remi Collet <Remi.Collet@univ-reims.fr> 3.1.0-1.fc3.remi, 3.1.0-1.fc4.remi
- Build for Fedora Core 3 & 4
